synchronized Class Reference

utility class for objects multi-thread synchronization. More...

## Public Member Functions

| synchronized (const Mutex &mutex)
| synchronized (apr_thread_mutex_t *mutex)
| ~synchronized ()

## Detailed Description

utility class for objects multi-thread synchronization.

## Constructor & Destructor Documentation

synchronized | ( | const Mutex & | mutex | ) |

synchronized | ( | apr_thread_mutex_t * | mutex | ) |

~synchronized | ( |  | ) |

The documentation for this class was generated from the following file:

- synchronized.h